public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/libadalang-tools/
Date: Tue, 28 Dec 2021 18:18:49 +0000 (UTC)	[thread overview]
Message-ID: <1640715518.e3c3b547a914230119324823e690afc9beb26fec.tupone@gentoo> (raw)

commit:     e3c3b547a914230119324823e690afc9beb26fec
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 28 18:18:38 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Dec 28 18:18:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3c3b547

dev-ada/libadalang-tools: install libraries, too

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 .../libadalang-tools-22.0.0-r1.ebuild              | 67 ++++++++++++++++++++++
 .../libadalang-tools-22.0.0.ebuild                 | 35 -----------
 dev-ada/libadalang-tools/metadata.xml              |  4 ++
 3 files changed, 71 insertions(+), 35 deletions(-)

diff --git a/dev-ada/libadalang-tools/libadalang-tools-22.0.0-r1.ebuild b/dev-ada/libadalang-tools/libadalang-tools-22.0.0-r1.ebuild
new file mode 100644
index 000000000000..6f6abba04eaa
--- /dev/null
+++ b/dev-ada/libadalang-tools/libadalang-tools-22.0.0-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_2021 )
+inherit ada multiprocessing
+
+DESCRIPTION="Libadalang-based tools: gnatpp, gnatmetric and gnatstub"
+HOMEPAGE="https://www.adacore.com/community"
+SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+shared static-libs static-pic"
+
+RESTRICT="test"
+
+REQUIRED_USE="|| ( shared static-libs static-pic )
+	${ADA_REQUIRED_USE}"
+
+RDEPEND="${ADA_DEPS}"
+DEPEND="${RDEPEND}
+	dev-ada/libadalang:=[${ADA_USEDEP},static-libs?,static-pic?]"
+BDEPEND="dev-ada/gprbuild[${ADA_USEDEP}]"
+
+src_compile() {
+	build () {
+		gprbuild -v -k -XLIBRARY_TYPE=$1 -XBUILD_MODE=prod \
+			-P src/lal_tools.gpr -p -j$(makeopts_jobs) || die
+		gprbuild -v -k -XLIBRARY_TYPE=$1 -XXMLADA_BUILD=$1 \
+			-XBUILD_MODE=prod -XLALTOOLS_SET=all \
+			-P src/build.gpr -p -j$(makeopts_jobs) || die
+	}
+	if use shared; then
+		build relocatable
+	fi
+	if use static-libs; then
+		build static
+	fi
+	if use static-pic; then
+		build static-pic
+	fi
+}
+
+src_install() {
+	build () {
+		gprinstall -XLIBRARY_TYPE=$1 -XBUILD_MODE=prod \
+			--prefix="${D}"/usr --sources-subdir=include/lal_tools \
+			--build-name=$1 --build-var=LIBRARY_TYPE \
+			--build-var=LAL_TOOLS_BUILD \
+			-P src/lal_tools.gpr -p -f || die
+	}
+	if use shared; then
+		build relocatable
+	fi
+	if use static-libs; then
+		build static
+	fi
+	if use static-pic; then
+		build static-pic
+	fi
+	dobin bin/gnat{metric,pp,stub,test}
+	einstalldocs
+}

diff --git a/dev-ada/libadalang-tools/libadalang-tools-22.0.0.ebuild b/dev-ada/libadalang-tools/libadalang-tools-22.0.0.ebuild
deleted file mode 100644
index d0fb5513cc81..000000000000
--- a/dev-ada/libadalang-tools/libadalang-tools-22.0.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-ADA_COMPAT=( gnat_2021 )
-inherit ada multiprocessing
-
-DESCRIPTION="Libadalang-based tools: gnatpp, gnatmetric and gnatstub"
-HOMEPAGE="https://www.adacore.com/community"
-SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
-	-> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-RESTRICT="test"
-
-RDEPEND="${ADA_DEPS}"
-DEPEND="${RDEPEND}
-	dev-ada/libadalang:=[${ADA_USEDEP},static-libs]"
-BDEPEND="dev-ada/gprbuild[${ADA_USEDEP}]"
-
-src_compile() {
-	gprbuild -v -k -XLIBRARY_TYPE=static -XXMLADA_BUILD=static \
-		-XBUILD_MODE=dev -XLALTOOLS_SET=all -P src/build.gpr -p \
-		-j$(makeopts_jobs) || die
-}
-
-src_install() {
-	dobin bin/gnat{metric,pp,stub,test}
-	einstalldocs
-}

diff --git a/dev-ada/libadalang-tools/metadata.xml b/dev-ada/libadalang-tools/metadata.xml
index d2615c1b0e0a..5d5e0fd45371 100644
--- a/dev-ada/libadalang-tools/metadata.xml
+++ b/dev-ada/libadalang-tools/metadata.xml
@@ -4,4 +4,8 @@
 	<maintainer type="project">
 		<email>ada@gentoo.org</email>
 	</maintainer>
+	<use>
+		<flag name="shared">Build shared library</flag>
+		<flag name="static-pic">Build static library with pic code</flag>
+	</use>
 </pkgmetadata>


             reply	other threads:[~2021-12-28 18:18 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-28 18:18 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-06 18:57 [gentoo-commits] repo/gentoo:master commit in: dev-ada/libadalang-tools/ Alfredo Tupone
2025-03-06 18:20 Alfredo Tupone
2025-02-24 20:33 Alfredo Tupone
2025-02-23 14:43 Alfredo Tupone
2025-02-03 20:35 Alfredo Tupone
2025-02-03 17:41 Alfredo Tupone
2024-03-20 18:41 Alfredo Tupone
2024-03-19 20:30 Alfredo Tupone
2024-03-18 10:15 Alfredo Tupone
2023-12-16 20:15 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-03-21  7:25 Alfredo Tupone
2023-02-05 20:44 Alfredo Tupone
2022-12-14  7:57 Alfredo Tupone
2022-12-05 13:23 Alfredo Tupone
2022-10-03 19:40 Alfredo Tupone
2022-02-03 20:13 Alfredo Tupone
2021-12-28 21:55 Alfredo Tupone
2021-12-27 21:20 Alfredo Tupone
2021-12-19 10:41 Alfredo Tupone
2021-12-17  7:58 Alfredo Tupone
2020-06-09 11:01 Alfredo Tupone
2020-01-31 19:22 Alfredo Tupone
2019-11-03 21:07 Alfredo Tupone
2019-10-21  6:42 Alfredo Tupone
2019-09-19 12:49 Alfredo Tupone
2019-08-29  6:44 Alfredo Tupone
2019-08-27 10:24 Alfredo Tupone
2019-06-25  6:09 Alfredo Tupone
2019-06-21  6:49 Alfredo Tupone
2018-08-17 12:14 Alfredo Tupone
2018-07-08  9:12 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1640715518.e3c3b547a914230119324823e690afc9beb26fec.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox